> For the complete documentation index, see [llms.txt](https://docs.zapsign.com.br/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zapsign.com.br/webhooks/eventos/signer/reading_confirmation.md).

# Confirmação de leitura

{% hint style="warning" %}
**Atenção**: os links retornados em **original\_file** e **signed\_file** são temporários e duram **60 minutos**. Caso seu sistema necessite salvar estes links é recomendado que sejam baixados em uma CDN própria ou que o endpoint de [Detalhar documento](/documentos/detalhar-documento.md) seja consultado sempre para garantir que seu usuário sempre receberá um link válido.
{% endhint %}

```json
{
	"sandbox": false,
	"external_id": "",
	"open_id": 5,
	"token": "0eb8f439-2afa-4014-a09a-2055e4fc5e24",
	"name": "a6f3fb67-dd1a-471a-89f6-75baf6d89a19.docx",
	"folder_path": "/",
	"status": "pending",
	"rejected_reason": null,
	"lang": "es",
	"original_file": "https://zapsign.s3.amazonaws.com/dev/2025/2/pdf/c19051a3-75b0-4b88-b367-34774040d3eb/bbecc211-3e39-4688-aef2-a019ebd73e50.pdf?AWSAccessKeyId=AKIASUFZJ7JCTI2ZRGWX&Signature=wnn2ZfDYmtula%2BhZf7BY85B8PUk%3D&Expires=1739469047",
	"signed_file": null,
	"extra_docs": [],
	"created_through": "web",
	"deleted": false,
	"deleted_at": null,
	"signed_file_only_finished": false,
	"disable_signer_emails": false,
	"brand_logo": "",
	"brand_primary_color": "",
	"created_at": "2025-02-13T16:50:35.657445Z",
	"last_update_at": "2025-02-13T16:50:46.595543Z",
	"created_by": {
		"email": "email@email.com"
	},
	"template": null,
	"signers": [{
		"external_id": "",
		"sign_url": "https://app.zapsign.com.br/verificar/12fea879-7c23-4733-a9d0-9377105dba80",
		"token": "1c7ea879-7c23-4733-a9d0-9377105dba80",
		"status": "new",
		"name": "Signatario",
		"lock_name": false,
		"email": "email@email.com",
		"lock_email": true,
		"hide_email": false,
		"blank_email": false,
		"phone_country": "55",
		"phone_number": "111111111",
		"lock_phone": false,
		"hide_phone": false,
		"blank_phone": true,
		"times_viewed": 0,
		"last_view_at": null,
		"signed_at": null,
		"auth_mode": "assinaturaTela",
		"qualification": "",
		"require_selfie_photo": false,
		"require_document_photo": false,
		"geo_latitude": null,
		"geo_longitude": null,
		"redirect_link": "",
		"signature_image": null,
		"visto_image": null,
		"document_photo_url": "",
		"document_verse_photo_url": "",
		"selfie_photo_url": "",
		"selfie_photo_url2": "",
		"send_via": "whatsapp",
		"resend_attempts": null,
		"cpf": "",
		"cnpj": "",
		"send_automatic_whatsapp_signed_file": null,
		"liveness_photo_url": "",
		"selfie_validation_type": "none",
		"ip": null
	}],
	"answers": [],
	"auto_reminder": 0,
	"signature_report": null,
	"tsa_country": null,
	"use_timestamp": true,
	"metadata": [],
	"event_type": "doc_read_confirmation",
	"signer_who_read": {
		"external_id": "",
		"sign_url": "https://app.zapsign.com.br/verificar/1656879-7c23-4733-a9d0-9377105dba80",
		"token": "1c7ea879-7c23-4733-a9d0-9377105dba80",
		"status": "new",
		"name": "Signatario",
		"lock_name": false,
		"email": "email2@email.com",
		"lock_email": true,
		"hide_email": false,
		"blank_email": false,
		"phone_country": "57",
		"phone_number": "2222222",
		"lock_phone": false,
		"hide_phone": false,
		"blank_phone": true,
		"times_viewed": 0,
		"last_view_at": "2025-02-13T16:46:36.828744Z",
		"signed_at": null,
		"auth_mode": "assinaturaTela",
		"qualification": "",
		"require_selfie_photo": false,
		"require_document_photo": false,
		"geo_latitude": null,
		"geo_longitude": null,
		"redirect_link": "",
		"signature_image": null,
		"visto_image": null,
		"document_photo_url": "",
		"document_verse_photo_url": "",
		"selfie_photo_url": "",
		"selfie_photo_url2": "",
		"send_via": "whatsapp",
		"resend_attempts": null,
		"cpf": "",
		"cnpj": "",
		"send_automatic_whatsapp_signed_file": null,
		"liveness_photo_url": "",
		"selfie_validation_type": "none",
		"ip": null,
		"notification_type": "request",
		"notification_channel": "whatsapp",
		"sent_at": "2025-02-13T16:50:47.874783Z"
	}
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.zapsign.com.br/webhooks/eventos/signer/reading_confirmation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
